## netcfg 1.01ubuntu11

=== Makefile ===
CC		= gcc
TARGETS		?= netcfg-dhcp netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer -liw
CFLAGS		= -W -Wall -DNDEBUG -DNETCFG_VERSION=\"$(VERSION)\"
COMMON_OBJS	= netcfg-common.o wireless.o
VERSION		= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-dhcp: netcfg-dhcp.o dhcp.o
netcfg-static: netcfg-static.o static.o
netcfg: netcfg.o dhcp.o static.o

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) *.o

.PHONY: all clean

=== debian/changelog ===
netcfg (1.01ubuntu11) warty; urgency=low

  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Martin Pitt
    - Greek (el.po) by Logiotatidis George

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 14:47:38 +0100

netcfg (1.01ubuntu10) warty; urgency=low

  * If the first WEP key entered fails, make sure to retry the question at
    priority critical, not high.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 17:19:13 +0100

netcfg (1.01ubuntu9) warty; urgency=low

  * Add netcfg/internal-wlan template, identical to netcfg/internal-wifi,
    for wireless devices using the wlan-ng drivers.
  * Repair upload following clashing uploads of 1.01ubuntu7 about which I
    didn't find out until after uploading 1.01ubuntu8.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 15:41:51 +0100

netcfg (1.01ubuntu8) warty; urgency=low

  * Ask about WEP keys at priority critical. "See if it works, then ask"
    would be nicer, but there's no code for this yet.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  9 Sep 2004 14:48:27 +0100

netcfg (1.01ubuntu7) warty; urgency=low

  * Add a reference to iftab(5) to the comment added to /etc/iftab

 -- Matt Zimmerman <mdz@canonical.com>  Wed,  8 Sep 2004 11:56:15 -0700

netcfg (1.01ubuntu6) warty; urgency=low

  * Copy networking configuration files to /target before base-installer
    runs rather than in prebaseconfig.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 16:48:12 +0100

netcfg (1.01ubuntu5) warty; urgency=low

  * debconf_go() returns 30 on backup, not 10.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed,  1 Sep 2004 13:28:10 +0100

netcfg (1.01ubuntu4) warty; urgency=low

  * Fix up some backup cases to behave more usefully.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 31 Aug 2004 21:42:00 +0100

netcfg (1.01ubuntu3) warty; urgency=low

  * Ask netcfg/get_nameservers at priority critical; if you're doing static
    network configuration, you probably need to be asked this.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 27 Aug 2004 16:19:15 +0100

netcfg (1.01ubuntu2) warty; urgency=low

  * Ask netcfg/continue_configure_static at priority critical.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 17:50:13 +0100

netcfg (1.01ubuntu1) warty; urgency=low

  * Merge from Debian: several fixes in 1.01 are relevant to us.
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 15:26:01 +0100

netcfg (1.01) unstable; urgency=medium

  * Joey Hess
    - Ignore failure from ip in dhclient-script when setting mtu, in case
      the supplied mtu is invalid.
  * Joshua Kwan
    - Give the user a choice to leave the network unconfigured if nothing is
      plugged in. (Closes: #264476)
    - netcfg-dhcp.templates: "may work" becomes "may succeed".
      (Closes: #261471)
    - Remove completely braindamaged pointer handling in
      seed_hostname_from_dns, caused by myself.
      (Closes: #261460, #261527, #263187, #265651, #266245, #266549)
    - Don't let a positive result from mii-diag override netcfg/disable_dhcp.
      (Closes: #266641)
  * Updated translations:
    - Arabic (ar.po) by Christian Perrier
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Christian Perrier
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 21 Aug 2004 15:18:18 -0700

netcfg (1.00) unstable; urgency=low

  * Updated translations: 
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Frederik Dannemare
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Croatian (hr.po) by Krunoslav Gernhard
    - Italian (it.po) by Giuseppe Sacco
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:09:47 -0400

netcfg (0.72ubuntu6) warty; urgency=low

  * Fix Ubuntu branding; debian/*.templates hadn't been updated, and fuzzy
    markers were broken.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 25 Aug 2004 13:47:56 +0100

netcfg (0.72ubuntu5) warty; urgency=low

  * Set default hostname to 'ubuntu'.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 23 Aug 2004 23:30:36 +0100

netcfg (0.72ubuntu4) warty; urgency=low

  * Bump hostname question to critical. It's too awkward to change it after
    the install.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 23 Aug 2004 21:25:49 +0100

netcfg (0.72ubuntu3) warty; urgency=low

  * Ubuntu branding.

 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 20 Aug 2004 10:24:24 +0200

netcfg (0.72ubuntu2) warty; urgency=low

  * Switch from /etc/mactab to /etc/iftab

 -- Matt Zimmerman <mdz@alcor.net>  Thu, 12 Aug 2004 11:09:26 -0700

netcfg (0.72ubuntu1) warty; urgency=low

  * Write an /etc/mactab entry for each ethernet interface, so that interface
    names stay consistent

 -- Matt Zimmerman <mdz@alcor.net>  Fri, 30 Jul 2004 19:25:33 -0700

netcfg (0.72) unstable; urgency=low

  * Joshua Kwan
    - Don't bother depending on mii-diag-udeb for netcfg-static as it's not
      used.


=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>
Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev
Standards-Version: 3.6.1.0

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-dhcp
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network via DHCP
 Many networks allow automatic configuration via DHCP (Dynamic Host
 Configuration Protocol).  If you are on a corporate network, a cable modem,
 some DSL connections, or have any other sort of dynamic IP for Ethernet, you
 will likely be able to configure via DHCP. If you have information such as IP
 address, netmask, gateway, then DHCP is not appropriate. This package uses
 the Internet Software Consortium's dhclient or Red Hat Linux's pump, whichever
 is available.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb, ethernet-card-detection, libiw27-udeb
Provides: configured-network
XB-Installer-Menu-Item: 20
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.08

=== Makefile ===
CC		= gcc
TARGETS		?= netcfg-dhcp netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer -liw
CFLAGS		= -W -Wall -DNDEBUG 
COMMON_OBJS	= netcfg-common.o wireless.o

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-dhcp: netcfg-dhcp.o dhcp.o
netcfg-static: netcfg-static.o static.o
netcfg: netcfg.o dhcp.o static.o ethtool-lite.o

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) *.o

.PHONY: all clean

# vim:ts=8:noet

=== debian/changelog ===
netcfg (1.08) unstable; urgency=low

  * Joshua Kwan
    - Ask for nameserver information if the DHCP server did not provide
      any. closes: #281924
    - Pass broadcast parameter to ip because it doesn't actually set it.
      Generally harmless, but we crash DSL modems now. closes: #295482
    - Fix some translation issues with Choices.
  * Joey Hess
    - If heuristics fail to determine a default interface, use the first
      interface as the default.
    - Back up netcfg/choose_interface preseeded value, and if the question
      is not displayed to the user, restore that value, overriding the
      selected default interface. Unless it was preseeded to "auto", then we
      use the selected default interface anyway.
    - That should make interface preseeding work in all situations.
      Closes: #293682

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 16 Feb 2005 21:44:33 -0800

netcfg (1.07.1) unstable; urgency=low

  * Joshua Kwan
    - Fix adhoc -> ad-hoc typo in dhcp.c. (closes: #282407)
  * Christian Perrier
    - Add a note to translators about the maximum length of
      individual Choices translations for Select templates
  * Includes fixes for substitutions in translated templates.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - French (fr.po) by French Team
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Hans Fredrik Nordhaug
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:31:11 -0500

netcfg (1.07) unstable; urgency=high

  * Joshua Kwan
    - Add missing strdup of WEP key, so that it gets into interfaces.
      closes: #275920
    - Also fix some problems setting WEP keys by passing a missing length
      parameter in the data structure. closes: #280185, #270304
      (Note: this seems to fix s:xxxxx passphrase entry.)
    - Rectify some poor wording and missing examples in netcfg/wireless_wep
      template.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 2004 11:42:37 -0500

netcfg (1.06) unstable; urgency=high

  * Colin Watson
    - Fix substitution variables in Greek and Swedish translations.
  * Joshua Kwan
    - Really apply Andrew Pollock's WEP patch. closes: #262624
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 2004 13:46:46 -0500

netcfg (1.05) unstable; urgency=high

  * Joey Hess
    - Rebuild, fixing dependencies on libiw27.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 14:55:38 -0400

netcfg (1.04) unstable; urgency=low

  * Thiemo Seufer
    - Sanitize the ifdef TEST maze in ethtool-lite.c.
  * Joshua Kwan
    - Remove -V option. (closes: #275096) 
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:23:21 -0400

netcfg (1.03) unstable; urgency=low

  * Joshua Kwan
    - mii-diag support is back, but once again, as a function. Hopefully
      it works better than the old one. This time, it only chooses a
      default interface based on the first connected one it finds. It also
      prefers ethtool to MII.
    - Also add a rudimentary wireless link detection heuristic to go with
      the new ethtool support.


=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>
-Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev
+Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev (>= 26+27pre26-2)
 Standards-Version: 3.6.1.0
 
 Package: netcfg
 XC-Package-Type: udeb
 Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
-Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, libiw27-udeb
 Provides: configured-network
 XB-Installer-Menu-Item: 18
 Description: Configure the network
@@ -22,7 +22,7 @@
 Package: netcfg-dhcp
 XC-Package-Type: udeb
 Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
-Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, mii-diag-udeb, libiw27-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, libiw27-udeb
 Provides: configured-network
 XB-Installer-Menu-Item: 18
 Description: Configure the network via DHCP

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGES	= $(shell dh_listpackages -s)
DHCP_PACKAGES	= netcfg 

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A usr/lib/base-installer.d etc/network bin
	# Install files that are the same in all packages
	$(foreach PACKAGE, $(PACKAGES), \
	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
	# Install files that are in all DHCP packages
	$(foreach PACKAGE, $(DHCP_PACKAGES), \
		mkdir -p debian/$(PACKAGE)/etc/dhcp debian/$(PACKAGE)/etc/dhcp3; \
		mkdir -p debian/$(PACKAGE)/var/dhcp ; \
		install -m 755 killall.sh debian/$(PACKAGE)/bin/killall.sh; \
		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhcp3/dhclient-script; \
		install -m 755 dhclient-script debian/$(PACKAGE)/etc/dhclient-script; )


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdebconf

	(echo ; po2debconf debian/netcfg-common.templates ) \
	   >> debian/netcfg-static/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-common.templates )\
	   >> debian/netcfg-dhcp/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-common.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-dhcp.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	(echo ; po2debconf debian/netcfg-static.templates )\
	   >> debian/netcfg/DEBIAN/templates	
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netcfg 1.08ubuntu8

=== debian/changelog ===
netcfg (1.08ubuntu8) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Michael Vogt).
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:11:01 +0100

netcfg (1.08ubuntu7) hoary; urgency=low

  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 18:38:58 +0100

netcfg (1.08ubuntu6) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:17:17 +0100

netcfg (1.08ubuntu5) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 03:00:46 +0000

netcfg (1.08ubuntu4) hoary; urgency=low

  * Substitute ${iface} in netcfg/wireless_essid_again (closes: Ubuntu
    #8174).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Mar 2005 00:56:40 +0000

netcfg (1.08ubuntu3) hoary; urgency=low

  * If an interface's kill switch is enabled but the user continues without
    disabling it, go on to the next interface (closes: Ubuntu #7451).
  * Avoid infinite loop on wireless configuration if no access points are
    available, by introducing a slightly different question the second time
    round the loop; entering an empty ESSID there breaks out of wireless
    configuration (closes: Ubuntu #7098).
  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2005 14:32:46 +0000

netcfg (1.08ubuntu2) hoary; urgency=low

  * Check correct variable for read() return value when checking RF kill
    switch (really closes: Ubuntu #1877).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 10:15:38 +0000

netcfg (1.08ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 13:37:53 +0000

netcfg (1.07ubuntu7) hoary; urgency=low

  * If wireless association fails, we re-ask netcfg/wireless_essid. If this
    question isn't going to be asked, perhaps because it was preseeded, just
    give up rather than going into an infinite loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 12:36:09 +0000

netcfg (1.07ubuntu6) hoary; urgency=low

  * Update Polish branding (thanks, Piotr Szotkowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Feb 2005 11:50:38 +0000

netcfg (1.07ubuntu5) hoary; urgency=low

  * Update Hebrew branding (thanks, Sivan Green).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  4 Feb 2005 17:04:39 +0000

netcfg (1.07ubuntu4) hoary; urgency=low

  * Detect ipw2100 and ipw2200 hardware kill switches, and warn the user if
    they're enabled (closes: Ubuntu #1877).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jan 2005 14:09:31 +0000

netcfg (1.07ubuntu3) hoary; urgency=low

  * Add link to base-installer script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:15:36 +0000

netcfg (1.07ubuntu2) hoary; urgency=low

  * Drop priorities back to high of several questions that had been locally
    changed in Ubuntu from high to critical.
  * Drop priority of netcfg/get_domain to medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:56:06 +0000

netcfg (1.07ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
    - Add comment from Debian .po files to netcfg-common.templates to avoid
      lots of needless diffs.
    - Apply Ubuntu branding from scratch.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 15 Nov 2004 11:31:58 +0000

netcfg (1.05ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Drop netcfg/internal-wlan template; it's not worth it without proper
    userspace support.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 13:36:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,8 @@
 	$(foreach PACKAGE, $(PACKAGES), \
 	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
 	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
+	  mkdir -p debian/$(PACKAGE)/usr/lib/casper/pre.d; \
+	  ln -s ../../base-installer.d/40netcfg debian/$(PACKAGE)/usr/lib/casper/pre.d/40netcfg; \
 	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \

## netcfg 1.12ubuntu3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 LDOPTS		= -ldebconfclient -ldebian-installer -liw
 CFLAGS		= -W -Wall -DNDEBUG 
 COMMON_OBJS	= netcfg-common.o wireless.o
+
+ifeq ($(NO_WIRELESS),)
+CFLAGS		+= -DWIRELESS
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0 -g3

=== debian/changelog ===
netcfg (1.12ubuntu3) breezy; urgency=low

  * Check an interface has a valid mac address before writing a line to
    /etc/iftab, otherwise we might end up renaming the loopback device if
    we encounter a buggy piece of hardware.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 25 Aug 2005 01:05:48 +0100

netcfg (1.12ubuntu2) breezy; urgency=low

  * Backport from trunk:
    - Close debconf client output when starting the DHCP client, to avoid
      the DHCP client holding it open.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 Aug 2005 13:34:41 +0100

netcfg (1.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2005 12:39:23 +0100

netcfg (1.12) unstable; urgency=low

  [ Joey Hess ]
  * Apply patch from Christian Weeks and Geert Stappers to respect preseeded
    nameserver values. Closes: #315030
  * Similar fix to respect preseeded gateway value. Closes: #314618, #308964
  * Above also Closes: #282650
  * Note that above changes do make netcfg not fill in calculated values if
    the user re-does static network config a second time.
  * Fix spelling of IBM's Hipersocket. Closes: #285124
  * A few interface types seem to be pure product names and not translatable.
    Do not mark these templates as translatable.

  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Jun 2005 11:46:23 -0400

netcfg (1.11) unstable; urgency=low

  [ Joey Hess ]
  * Switch to using libiw28.
  * Add a hack to sed the substvars files to get proper dependency on 
    the libiw udeb w/o a versioned dependency on the deb.
    
  * Updated translations: 
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 16:57:39 -0400

netcfg (1.10) unstable; urgency=low

  * Colin Watson
    - Support building without wireless support (NO_WIRELESS=1).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Italian (it.po) by Giuseppe Sacco
    - Korean (ko.po) by Changwoo Ryu
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Wed,  1 Jun 2005 00:32:07 +0100

netcfg (1.09) unstable; urgency=low

  * Christian Perrier
    - Change the comment about the Choices length for translators
      The limit is 65 characters, not 70
  * Joey Hess
    - Check to see if a preseeded interface name contains the card name too,
      in case the user uses debconf-get-selections to generate their preseed
      file.
  * Colin Watson
    - On glibc 2.3.5, getaddrinfo() doesn't return a host name in
      res->ai_canonname, so seeding the host name from DNS failed. This
      appears to have been a bug in earlier versions of glibc, since POSIX
      says: "A numeric host address string is not a 'name', and thus does
      not have a 'canonical name' form; no address to host name translation
      is performed." Use getnameinfo() instead.
    - Detect ipw2100 and ipw2200 hardware kill switches, and warn the user
      if they're enabled (Ubuntu bug #1877).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Basque (eu.po) by Piarres Beobide
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by Gabor Burjan
    - Indonesian (id.po) by Yoppy Hidayanto
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmål, Norwegian (nb.po) by Terance Edward Sola
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Dominik Zablotny
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2005 19:56:07 +0100

netcfg (1.08ubuntu9) breezy; urgency=low

  * Backport from trunk:
    - On glibc 2.3.5, getaddrinfo() doesn't return a host name in
      res->ai_canonname, so seeding the host name from DNS failed. This
      appears to have been a bug in earlier versions of glibc, since POSIX
      says: "A numeric host address string is not a 'name', and thus does
      not have a 'canonical name' form; no address to host name translation
      is performed." Use getnameinfo() instead.



=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>
-Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev (>= 26+27pre26-2)
+Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre8-1)
 Standards-Version: 3.6.1.0
 
 Package: netcfg
 XC-Package-Type: udeb
 Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
-Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, libiw27-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 18
 Description: Configure the network
@@ -22,7 +22,7 @@
 Package: netcfg-dhcp
 XC-Package-Type: udeb
 Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64
-Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection, libiw27-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 18
 Description: Configure the network via DHCP
@@ -37,7 +37,7 @@
 Package: netcfg-static
 XC-Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, cdebconf-udeb, ethernet-card-detection, libiw27-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb, ethernet-card-detection
 Provides: configured-network
 XB-Installer-Menu-Item: 20
 Description: Configure a static network

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,8 @@
 	dh_fixperms -s
 	dh_installdeb -s
 	dh_shlibdeps -s
+	# Temporary hack until we get support for udeb shlibdeps.
+	perl -i -pe 's/libiw([0-9]+) \(.*\)/libiw$$1-udeb/g' debian/*.substvars
 	dh_gencontrol -s
 	dh_builddeb -s

## netcfg 1.23ubuntu6

=== debian/changelog ===
netcfg (1.23ubuntu6) dapper; urgency=low

  * Fix the last change so it actually compiles correctly.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Apr 2006 21:40:58 +1000

netcfg (1.23ubuntu5) dapper; urgency=low

  * Always append "arp X" to /etc/iftab lines, to deal with cards which
    suddenly change driver and break.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 12 Apr 2006 08:40:45 +0100

netcfg (1.23ubuntu4) dapper; urgency=low

  * Avoid writing duplicated MAC/ARP matching lines to /etc/iftab, as
    we can't handle that.  This notably breaks Sparc machines which can
    have multiple interfaces with the same MAC address (as it's generated
    from the machine id).  Ubuntu #33787.

 -- Scott James Remnant <scott@ubuntu.com>  Mon,  6 Mar 2006 12:37:37 +0000

netcfg (1.23ubuntu3) dapper; urgency=low

  * Don't write out a "mapping" section, it's completely meaningless.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 15 Feb 2006 13:03:01 +0000

netcfg (1.23ubuntu2) dapper; urgency=low

  * When writing /etc/iftab check to see whether another interface shares
    the same MAC address, if so write an arp selector out as well.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 14 Feb 2006 02:29:24 +0000

netcfg (1.23ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop casper symlinks, no longer required following casper's
    reimplementation as initramfs hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 13:19:35 +0000

netcfg (1.23) unstable; urgency=low

  * Don't propagate NetcfgDHClient class identifier to installed system.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jan 2006 12:51:16 +0000

netcfg (1.22) unstable; urgency=low

  [ Joey Hess ]
  * The return of my friend liw.

  [ Colin Watson ]
  * Make progress bars for DHCP and wireless AP search cancellable
    (closes: #247045). Requires cdebconf 0.95, but will degrade to the
    old-style bars if running with earlier versions.
  * Add myself to Uploaders.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Guillem Jover
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Latvian (lv.po) by Aigars Mahinovs
  * Latvian (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2006 16:14:01 +0000

netcfg (1.21ubuntu2) dapper; urgency=low

  * Use 'auto <interface>' for all interfaces for now, dropping
    allow-hotplug which doesn't seem to work with current udev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Jan 2006 16:03:33 +0000

netcfg (1.21ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Dec 2005 16:22:43 +0000

netcfg (1.21) unstable; urgency=low

  * dhcp3 calls the "dhcp-class-identifier" option "vendor-class-identifier"
    instead.

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Dec 2005 16:11:09 +0000

netcfg (1.20ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Dec 2005 12:46:36 +0000

netcfg (1.20) unstable; urgency=low

  * Fix segfault because of error in hotplug configuration code.

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs

 -- Frans Pop <fjp@debian.org>  Sat,  3 Dec 2005 18:54:41 +0100

netcfg (1.19) unstable; urgency=low

  * Fix error in hotplug configuration for interfaces other than eth0.

 -- Frans Pop <fjp@debian.org>  Mon, 28 Nov 2005 23:17:29 +0100

netcfg (1.18) unstable; urgency=low

  [ Joey Hess ]
  * Make netcfg-static use the same menu item number as netcfg, no reason for
    it to differ.

  [ Frans Pop ]
  * Change hotplug configuration as written to interface file. This new
    syntax is supported by both udev and hotplug (from 0.0.20040329-25).
    Closes: #340935.

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov

 -- Frans Pop <fjp@debian.org>  Mon, 28 Nov 2005 16:36:15 +0100

netcfg (1.17ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Restore some translations accidentally dropped from 1.16ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Nov 2005 21:23:00 +0000

netcfg (1.17) unstable; urgency=low

  [ Thomas Hood ]
  * Don't make 'localhost.localdomain' the canonical hostname of 127.0.0.1.
    See Oct 2005 debian-devel discussion with Subject: localhost.localdomain,
    e.g., http://lists.debian.org/debian-devel/2005/10/msg00559.html

  [ Frans Pop ]
  * Remove netcfg-dhcp udeb as it is no longer used and maintained.
    The full netcfg is used instead. Closes: #329885.

  [ Geert Stappers ]
  * Identify client in dhcp-requests using "NetcfgDHClient" as
    dhcp-class-identifier. This allows a DHCP server to send DHCP user
    parameters. These parameters can be extracted from the lease file.
    A possible improvement is to allow the class identifier to be preseeded.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas


=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Kimdon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Matt Kraai <kraai@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Thomas Hood <jdthood@yahoo.co.uk>, Frans Pop <fjp@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2.0), dpkg-dev (>= 1.9.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev, po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9-1)
Standards-Version: 3.6.1.0

Package: netcfg
XC-Package-Type: udeb
Architecture: i386 sparc alpha m68k arm powerpc mips mipsel hppa ia64 amd64 ppc64
Depends: ${shlibs:Depends}, cdebconf-udeb, dhcp-client-udeb | dhcp3-client-udeb | pump-udeb, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This 
 component will first try to configure your network with DHCP and ask 
 you for static network configuration if this fails. The configured 
 network settings will be copied to your newly installed system.

Package: netcfg-static
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb, ethernet-card-detection
Provides: configured-network
XB-Installer-Menu-Item: 18
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,6 @@
 	$(foreach PACKAGE, $(PACKAGES), \
 	  install -m 755 $(PACKAGE) debian/$(PACKAGE)/bin/netcfg; \
 	  install -m 755 base-installer debian/$(PACKAGE)/usr/lib/base-installer.d/40netcfg ; \
-	  mkdir -p debian/$(PACKAGE)/usr/lib/casper/pre.d; \
-	  ln -s ../../base-installer.d/40netcfg debian/$(PACKAGE)/usr/lib/casper/pre.d/40netcfg; \
 	  ln -sf netcfg debian/$(PACKAGE)/bin/ptom; )
 	# Install files that are in all DHCP packages
 	$(foreach PACKAGE, $(DHCP_PACKAGES), \
@@ -59,8 +57,6 @@
 	(echo ; po2debconf debian/netcfg-common.templates ) \
 	   >> debian/netcfg-static/DEBIAN/templates	
 	(echo ; po2debconf debian/netcfg-common.templates )\
-	   >> debian/netcfg-dhcp/DEBIAN/templates	
-	(echo ; po2debconf debian/netcfg-common.templates )\
 	   >> debian/netcfg/DEBIAN/templates	
 	(echo ; po2debconf debian/netcfg-dhcp.templates )\
 	   >> debian/netcfg/DEBIAN/templates
